Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookiduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
addresstextConcatenation of the address fields
avatartext | nullURL of the avatar image
citytextCity of the contact
company_nametextcountrytextCountry of the contact
country_codetexte_invoice_addresstexte_invoice_schemetextemailtextContact email address
first_nametextFirst name of the contact
ftstsvectorFull text search index
languageLanguage | nullLanguage of the contact
last_nametextLast name of the contact
metaArray<{ key: string; value: string }>nametextFull name of the contact
notestextphonetextContact phone number
provincetextProvince of the contact
statetextState of the contact
streettextStreet address of the contact
street2textStreet address of the contact
ziptextZip code of the contact
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"creator_id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:19:01.541Z",
"updated_at": "2026-03-12T05:19:01.541Z",
"address": "",
"avatar": "",
"city": "",
"company_name": "",
"country": "",
"country_code": "",
"e_invoice_address": "",
"e_invoice_scheme": "",
"email": "",
"first_name": "",
"language": "en-US",
"last_name": "",
"meta": [
{
"key": "key",
"value": "value"
}
],
"name": "",
"notes": "",
"phone": "",
"province": "",
"state": "",
"street": "",
"street2": "",
"zip": ""
}idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this contact is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
addressFilter<text>Concatenation of the address fields
avatarFilter<text | null>URL of the avatar image
cityFilter<text>City of the contact
company_nameFilter<text>countryFilter<text>Country of the contact
country_codeFilter<text>e_invoice_addressFilter<text>e_invoice_schemeFilter<text>emailFilter<text>Contact email address
first_nameFilter<text>First name of the contact
ftsFilter<tsvector>Full text search index
languageFilter<Language | null>Language of the contact
last_nameFilter<text>Last name of the contact
metaFilter<Array<{ key: string; value: string }>>nameFilter<text>Full name of the contact
notesFilter<text>phoneFilter<text>Contact phone number
provinceFilter<text>Province of the contact
stateFilter<text>State of the contact
streetFilter<text>Street address of the contact
street2Filter<text>Street address of the contact
zipFilter<text>Zip code of the contact
200A list of contacts with the selected columns
206Partial Content
GET /contactscurl -X GET "https://api.bookingmood.com/v1/contacts?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<Contact> | Array<Partial<Contact>>201The newly created contacts with the selected columns
POST /contactscurl -X POST "https://api.bookingmood.com/v1/contacts" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this contact is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
addressFilter<text>Concatenation of the address fields
avatarFilter<text | null>URL of the avatar image
cityFilter<text>City of the contact
company_nameFilter<text>countryFilter<text>Country of the contact
country_codeFilter<text>e_invoice_addressFilter<text>e_invoice_schemeFilter<text>emailFilter<text>Contact email address
first_nameFilter<text>First name of the contact
ftsFilter<tsvector>Full text search index
languageFilter<Language | null>Language of the contact
last_nameFilter<text>Last name of the contact
metaFilter<Array<{ key: string; value: string }>>nameFilter<text>Full name of the contact
notesFilter<text>phoneFilter<text>Contact phone number
provinceFilter<text>Province of the contact
stateFilter<text>State of the contact
streetFilter<text>Street address of the contact
street2Filter<text>Street address of the contact
zipFilter<text>Zip code of the contact
204The deleted contacts with the selected columns
DELETE /contactscurl -X DELETE "https://api.bookingmood.com/v1/contacts" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this contact is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
addressFilter<text>Concatenation of the address fields
avatarFilter<text | null>URL of the avatar image
cityFilter<text>City of the contact
company_nameFilter<text>countryFilter<text>Country of the contact
country_codeFilter<text>e_invoice_addressFilter<text>e_invoice_schemeFilter<text>emailFilter<text>Contact email address
first_nameFilter<text>First name of the contact
ftsFilter<tsvector>Full text search index
languageFilter<Language | null>Language of the contact
last_nameFilter<text>Last name of the contact
metaFilter<Array<{ key: string; value: string }>>nameFilter<text>Full name of the contact
notesFilter<text>phoneFilter<text>Contact phone number
provinceFilter<text>Province of the contact
stateFilter<text>State of the contact
streetFilter<text>Street address of the contact
street2Filter<text>Street address of the contact
zipFilter<text>Zip code of the contact
Partial<Contact>204The updated contacts with the selected columns
PATCH /contactscurl -X PATCH "https://api.bookingmood.com/v1/contacts" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'